package jp.mosp.payroll.bonus.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class CashKindListDto extends BaseDto {
	
	private static final long	serialVersionUID	= -2412645410611672375L;
	
	//フィールド
	protected String			kCode				= "";						// 社員コード
	protected Date				calcDate;										// 計算年月
	protected Date				payday;										// 給与支給日
	protected String			kName				= "";						// 社員氏名
	protected int				cashAmount			= 0;						// 現金支給額
																				
	
	/**
	 * コンストラクタ
	 */
	public CashKindListDto() {
		super();
	}
	
	//アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public Date getCalcDate() {
		return getDateField(calcDate);
	} // 計算年月
	
	public Date getPayday() {
		return getDateField(payday);
	} // 給与支給日
	
	public String getKName() {
		return kName;
	} // 社員氏名
	
	public int getCashAmount() {
		return cashAmount;
	} // 現金支給額
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setCalcDate(Date calcDate) {
		this.calcDate = getDateField(calcDate);
	} // 計算年月
	
	public void setPayday(Date payday) {
		this.payday = getDateField(payday);
	} // 給与支給日
	
	public void setKName(String kName) {
		this.kName = kName;
	} // 社員氏名
	
	public void setCashAmount(int cashAmount) {
		this.cashAmount = cashAmount;
	} // 現金支給額
	
}
